Snow Leopard and Adobe CS3 at

Go Back   DV Info Net > Apple / Mac Post Production Solutions > Final Cut Suite

Final Cut Suite
Discussing the editing of all formats with FCS, FCP, FCE

Thread Tools Search this Thread
Old August 27th, 2009, 11:45 AM   #1
Join Date: Jul 2002
Location: Makati, Metro Manila
Posts: 2,706
Images: 32
Snow Leopard and Adobe CS3

From an Adobe FAQ regarding support for Snow Leopard.
Q. Will older versions of Adobe creative software—such as Adobe Creative Suite 3 or MacromediaŽ Studio 8
software—support Mac OS X Snow Leopard (v10.6)?

A. Older versions of Adobe creative software were not included in our testing efforts. While older Adobe and
Macromedia applications may install and run on Mac OS X Snow Leopard (v10.6), they were designed, tested,
and released to the public several years before this new operating system became available. You may therefore
experience a variety of installation, stability, and reliability issues for which there is no resolution. Older versions
of our creative software will not be updated to support Mac OS X Snow Leopard (v10.6).
Q. Are AdobeŽ Creative SuiteŽ 4 products and components compatible with Mac OS X Snow Leopard (v10.6)?
A. Yes. Working closely with Apple, Adobe has tested and determined that our Adobe Creative Suite 4
products and components are compatible with Mac OS X Snow Leopard.
"Ultimately, the most extraordinary thing, in a frame, is a human being." - Martin Scorsese
Michael Wisniewski is offline   Reply With Quote
Old August 28th, 2009, 02:10 AM   #2
Regular Crew
Join Date: Jul 2009
Location: New York
Posts: 26
Originally Posted by Michael Wisniewski View Post
To be fair, this was later issued:

John Nack on Adobe: Information about Photoshop CS3 on Snow Leopard

Essentially, the team apparently did do some testing of CS3 on Snow Leopard and found it to have reasonably worked. This was subsequently supported by a few other early independent (non-Adobe, non-Apple) Snow Leopard reviews published recently.

As for a partial list of known apps with Snow Leopard issues:

Snow Leopard - what doesn't work ? The Register
Dan Foster is offline   Reply With Quote
Old August 28th, 2009, 03:39 AM   #3
Join Date: Aug 2005
Location: Toronto, ON, Canada
Posts: 3,632
Additional warning for those who use FxFactory plugins

As of this writing no plugins that utilize Quartz Composer will work with After Effects CS3 or 4 in Snow Leopard. This includes any 3rd party plugins that requires FxFactory. Adobe has acknowledged the bug and we can presume they are working on it.
After Effects and Snow Leopard - Keyframes

BTW, FxFactory plugins work fine with Snow Leopard and Final Cut Studio.
Tim Dashwood is offline   Reply

DV Info Net refers all where-to-buy and where-to-rent questions exclusively to these trusted full line dealers and rental houses...

Professional Video
(800) 833-4801
Portland, OR

Omega Broadcast
(512) 251-7778
Austin, TX

(973) 335-4460
Mountain Lakes, NJ

Abel Cine Tech
(888) 700-4416
N.Y. NY & L.A. CA

(800) 238-8480
Glendale, CA

Precision Camera
(800) 677-1023
Austin, TX

DV Info Net also encourages you to support local businesses and buy from an authorized dealer in your neighborhood.
  You are here: DV Info Net > Apple / Mac Post Production Solutions > Final Cut Suite

Thread Tools Search this Thread
Search this Thread:

Advanced Search



All times are GMT -6. The time now is 11:36 AM.

DV Info Net -- Real Names, Real People, Real Info!
1998-2015 The Digital Video Information Network